\begin{tikzpicture}[scale=0.8, framed]
  % Define styles
  \tikzset{node distance=0.5cm}
  \tikzset{bend angle=45}
  \tikzset{>=stealth}
  \tikzset{
    every place/.style={
      minimum size=10mm,thick,draw=black,fill=white
    }
  }
  \tikzset{
    every transition/.style={
      minimum height=8mm,minimum width=0.5mm,thick,draw=black,fill=black
    }
  }

  % Places
  \node[place, label=left:$p_1$] (p1) at (0,2) {};
  \node[place, label=left:$p_2$, tokens=1] (p2) at (0,-2) {};
  \node[place, label=right:$p_3$, tokens=2] (p3) at (6,0) {};

  % Transition
  \node[transition, label=above:$t$] (t1) at (3,0) {}
  edge [pre] node[auto] {2} (p1)
  edge [pre] node[auto] {1} (p2)
  edge [post] node[auto] {2} (p3);

  % Annotation
  \node at (3,2.5) {$PN_1$};
\end{tikzpicture}
